Bug 219669 - sosreport multi-threaded option sometimes fails
sosreport multi-threaded option sometimes fails
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Conklin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 13:17 EST by Steve Conklin
Modified: 2013-04-12 14:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0496
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 08:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Conklin 2006-12-14 13:17:44 EST
using the multi-threaded option for sosreport sometimes generates errors
Comment 1 Navid Sheikhol-Eslami 2007-03-14 09:54:32 EDT
I just fixed in SVN (revision 93).

Problem was in doCollect(), copyStuff() thread was getting an unexpected
argument (verbosity) and thus causing the exception.

-- Navid
Comment 2 John Berninger 2007-03-14 10:08:48 EDT
Well, it wasn't unexpected, it wa just unhandled.  At one point I'd been passing
verbosity further down the stack to handle increased verbosity levels for debug
output, I guess I just missed getting it into the copyStuff() routine.  Do we
want to leave copyStuff() silent, or do we want to move verbosity back in and
handle it?
Comment 3 Steve Conklin 2007-03-14 16:34:54 EDT
I vote for passing it down the stack. 
Comment 8 Red Hat Bugzilla 2007-06-27 08:38:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0496.html

Note You need to log in before you can comment on or make changes to this bug.